import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
import registerServiceWorker from './registerServiceWorker';
import './index.css';
import { Route, Router } from 'react-router-dom';
import createHistory from 'history/createBrowserHistory';

const mainApp = (
  <Router history={createHistory()}>
    <Route path="/" component={App} />
  </Router>
);
ReactDOM.render(
  mainApp,
  document.getElementById('root') as HTMLElement
);
registerServiceWorker();
